Show / Hide Table of Contents

# Interface TextureWrap

Simple wrapper to handle texture resources from different APIs, while accounting for resource freeing and ImGui interaction.

##### Inherited Members

System.IDisposable.Dispose()

###### Namespace: ImGuiScene

###### Assembly: ImGuiScene.dll

##### Syntax

    public interface TextureWrap : IDisposable

### Properties

| Improve this Doc View Source

#### Height

##### Declaration

    int Height { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ImGuiHandle

A texture handle suitable for direct use with ImGui::Image() etc.

##### Declaration

    IntPtr ImGuiHandle { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Width

##### Declaration

    int Width { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |